<script>
import {
  // ruleid: okay-loading-icon-vue-component
  GlLoadingIcon
} from '@gitlab/ui';

export default {
  components: {
    GlLoadingIcon
  },
  methods: {
    findSpinners() {
      return [
        // ok: spinner-class-vue
        document.querySelector('.gl-spinner'),
        // ok: spinner-class-vue
        document.querySelectorAll('.gl-spinner'),
        // ok: spinner-class-vue
        $(this.$el).find('.gl-spinner'),
      ];
    },
  },
  computed: {
    classes() {
      // ruleid: spinner-class-vue
      return ['gl-spinner']
    }
  }
}
</script>

<template>
  <div>
    <gl-loading-icon />
    <!-- ruleid: spinner-class-vue -->
    <div class="gl-spinner"></div>
  </div>
</template>
